Package io.dapr.actors.runtime

# Interface Remindable<T>

public interface Remindable<T>
Interface that actors must implement to consume reminders registered using RegisterReminderAsync.

## Method Summary

Modifier and Type
Method
Description
`TypeRef<T>`
`getStateType()`
Gets the type for state object.
`reactor.core.publisher.Mono<Void>`
`receiveReminder(String reminderName, T state, Duration dueTime, Duration period)`
The reminder call back invoked when an actor reminder is triggered.

## Method Details

### getStateType

TypeRef<T> getStateType()
Gets the type for state object.

Returns:
  Class for state object.

### receiveReminder

reactor.core.publisher.Mono<Void> receiveReminder(String reminderName, T state, Duration dueTime, Duration period)
The reminder call back invoked when an actor reminder is triggered. The state of this actor is saved by the actor runtime upon completion of the task returned by this method. If an error occurs while saving the state, then all state cached by this actor's `ActorStateManager` will be discarded and reloaded from previously saved state when the next actor method or reminder invocation occurs.

Parameters:
  `reminderName` - The name of reminder provided during registration.
  `state` - The user state provided during registration.
  `dueTime` - The invocation due time provided during registration.
  `period` - The invocation period provided during registration.
Returns:
  A task that represents the asynchronous operation performed by this callback.